package huffman;
import huffman.LeafNode;

import org.junit.Assert;
import org.junit.Test;


public class TestConstructLeafNode {


	@Test public void testConstructLeafNode() {
		LeafNode leaf0 = new LeafNode('a', 15) ;
		LeafNode leaf1 = new LeafNode('e', 16) ;
		LeafNode leaf2 = new LeafNode('k', 17) ;
		LeafNode leaf3 = new LeafNode('g', 7) ;
		LeafNode leaf4 = new LeafNode('h', 10) ;
		
		Assert.assertEquals( 15, leaf0.getFrequency() ) ;
		Assert.assertEquals( null, leaf0.getParent() ) ;
		Assert.assertEquals( 16, leaf1.getFrequency() ) ;
		Assert.assertEquals( null, leaf1.getParent() ) ;
		Assert.assertEquals( 17, leaf2.getFrequency() ) ;
		Assert.assertEquals( null, leaf2.getParent() ) ;
		Assert.assertEquals( 7, leaf3.getFrequency() ) ;
		Assert.assertEquals( null, leaf3.getParent() ) ;
		Assert.assertEquals( 10, leaf4.getFrequency() ) ;
		Assert.assertEquals( null, leaf4.getParent() ) ;
	}
}
